commonmark-extensions-0.2.7.1: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Attributes

Synopsis

- attributesSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsInline il) => SyntaxSpec m il bl
- class HasDiv bl where
  - div_ :: bl -> bl
- fencedDivSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsInline il, IsBlock il bl, HasDiv bl) => SyntaxSpec m il bl
- class IsInline a => HasSpan a where
  - spanWith :: Attributes -> a -> a
- bracketedSpanSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsInline il, HasSpan il) => SyntaxSpec m il bl
- rawAttributeSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl) => SyntaxSpec m il bl
- pAttributes :: forall u (m :: Type -> Type). Monad m => ParsecT [Tok] u m Attributes

# Documentation

attributesSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsInline il) => SyntaxSpec m il bl Source #

Allow attributes on everything.

class HasDiv bl where Source #

Methods

div_ :: bl -> bl Source #

#### Instances

Instances details

HasDiv (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Attributes Methods div_ :: Html a -> Html a Source #
(HasDiv bl, Semigroup bl) => HasDiv (WithSourceMap bl) Source # |
Instance details Defined in Commonmark.Extensions.Attributes Methods div_ :: WithSourceMap bl -> WithSourceMap bl Source #

fencedDivSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsInline il, IsBlock il bl, HasDiv bl) => SyntaxSpec m il bl Source #

class IsInline a => HasSpan a where Source #

Methods

spanWith :: Attributes -> a -> a Source #

#### Instances

Instances details

Rangeable (Html a) => HasSpan (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Attributes Methods spanWith :: Attributes -> Html a -> Html a Source #
(HasSpan i, Semigroup i, Monoid i) => HasSpan (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Attributes Methods spanWith :: Attributes -> WithSourceMap i -> WithSourceMap i Source #

bracketedSpanSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsInline il, HasSpan il) => SyntaxSpec m il bl Source #

rawAttributeSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl) => SyntaxSpec m il bl Source #

pAttributes :: forall u (m :: Type -> Type). Monad m => ParsecT [Tok] u m Attributes Source #